hubers                 package:MASS                 R Documentation

Huber Proposal 2 Robust Estimator of Location and/or Scale

Description:

     Finds the Huber M-estimator for location with scale specified,
     scale with location specified, or both if neither is specified.

Usage:

     hubers(y, k = 1.5, mu, s, initmu = median(y), tol = 1e-06)

Arguments:

       y: vector y of data values 

       k: Winsorizes at 'k' standard deviations 

      mu: specified location 

       s: specified scale 

  initmu: initial value of 'mu' 

     tol: convergence tolerance 

Value:

     list of location and scale estimates

      mu: location estimate 

       s: scale estimate 

References:

     Huber, P. J. (1981) _Robust Statistics._ Wiley.

     Venables, W. N. and Ripley, B. D. (2002) _Modern Applied
     Statistics with S._ Fourth edition.  Springer.

See Also:

     'huber'

Examples:

     hubers(chem)
     hubers(chem, mu=3.68)

